summaryrefslogtreecommitdiff
path: root/tests/ln/misc
diff options
context:
space:
mode:
Diffstat (limited to 'tests/ln/misc')
-rwxr-xr-xtests/ln/misc6
1 files changed, 3 insertions, 3 deletions
diff --git a/tests/ln/misc b/tests/ln/misc
index 51155911a..9fc348a52 100755
--- a/tests/ln/misc
+++ b/tests/ln/misc
@@ -1,7 +1,7 @@
#!/bin/sh
# Miscellaneous tests for "ln".
-# Copyright (C) 1998, 1999, 2000, 2004 Free Software Foundation, Inc.
+# Copyright (C) 1998, 1999, 2000, 2004, 2006 Free Software Foundation, Inc.
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -25,7 +25,7 @@ fi
pwd=`pwd`
tmp=t2-ln.$$
-trap 'status=$?; cd $pwd; rm -rf $tmp && exit $status' 0
+trap 'status=$?; cd "$pwd" && rm -rf $tmp && exit $status' 0
trap '(exit $?); exit' 1 2 13 15
framework_failure=0
@@ -106,7 +106,7 @@ touch $f || framework_failure=1
mkdir $d || framework_failure=1
ln -s $d $ld
af=`pwd`/$f
-ln --no-dereference -fs $af $ld || fail=1
+ln --no-dereference -fs "$af" $ld || fail=1
test -f $ld || fail=1
rm -rf $d $f $ld